1. HTTPClient

``` Dart
import 'package:dart_cure/net/http.dart';

final client = HTTPClient();
try {
    // GET
    final uri ='https://...';
    final response = await client.getAsync(uri);
    // POST
    // final uri ='https://...';
    // final content = '{"key1": "value1", "key2": "value2"}';
    // final response = await client.postAsync(uri, content, ContentType.json);
    final statusCode = response.statusCode;
    final result = response.content;
} finally {
    client.close();
}
```

2. JSONConverter

``` Dart
import 'package:dart_cure/serialization/json.dart';

final converter = JSONConverter();
// toJSON
final obj = <String, dynamic>{'key1': 'value1', 'key2': 'value2'};
final result = converter.toJSON(obj);
// fromJSON
// final source = '{"key1": "value1", "key2": "value2"}';
// final result = converter.fromJSON(source);
```

3. CRC

``` Dart
import 'package:dart_cure/security/cryptography.dart';

final crc = CRC.crc16MODBUS();
// Calculate
final data = utf8.encode('123456789');
final result = crc.calculate(data);
// Verify
// final data = utf8.encode('123456789');
// final result = crc.verify(data, 0x4B37);

``` 