part of json;

/// JSON 序列化转换器
abstract class JSONConverter {
  /// 将 JSON 反序列化为键值对字典
  Map<String, dynamic> fromJSON(String source);

  /// 将键值对字典序列化为 JSON
  String toJSON(Map<String, dynamic> obj);

  /// 构造函数
  factory JSONConverter() => _JSONConverter();
}

class _JSONConverter implements JSONConverter {
  @override
  Map<String, dynamic> fromJSON(String source) {
    return jsonDecode(source);
  }

  @override
  String toJSON(Map<String, dynamic> obj) {
    return jsonEncode(obj);
  }
}
